GTPSERVER(1)

NAME
gtpserver - Connects a Go program supporting Go Text Protocol to a socket.

SYNOPSIS

gtpserver -port n [-config file] [-loop] [-remote hostname] [-user file] [-verbose] program

gtpserver -help

gtpserver -version

DESCRIPTION

Runs a Go program supporting the Go Text Protocol by executing program, and connects its input and output to a listen socket on port number port of the local computer, so that other programs can connect to it from the network. If the option -remote is used, an connection to another host is made, instead of waiting for incoming connections.

OPTIONS

-config file
    Read command line options and arguments from file.

-help
    Display help and exit.

-loop
    After connection is finished, restart the program and wait for next connection, .

-port n
    Port number to user for the socket.

-remote hostname
    Connect to a remote host, instead of waiting for incoming connections. See also -user.

-user file
    If the option -remote is used, and the remote program requires that any connecting program sends some plain text login information before waiting for commands, then this option can be used. The argument is a filename; the content of this file is sent verbatim to the remote computer.

-verbose
    Print debugging messages.

-version
    Print version and exit.